Bug 1519045 - [abrt] ibus-table: __bus_destroy_cb(): main.py:159:__bus_destroy_cb:RuntimeError: reentrant call inside <_io.BufferedWriter name='/home/rhys/.cache/ibus-table/debug.log'> [NEEDINFO]
Summary: [abrt] ibus-table: __bus_destroy_cb(): main.py:159:__bus_destroy_cb:RuntimeEr...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-table
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f3864e568042bbd1075d694bf1b...
: 1545004 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-30 00:30 UTC by Rhys
Modified: 2018-11-30 23:09 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:09:03 UTC
psatpute: needinfo? (checyr)


Attachments (Terms of Use)
File: backtrace (1.28 KB, text/plain)
2017-11-30 00:30 UTC, Rhys
no flags Details
File: cgroup (321 bytes, text/plain)
2017-11-30 00:30 UTC, Rhys
no flags Details
File: cpuinfo (1.15 KB, text/plain)
2017-11-30 00:30 UTC, Rhys
no flags Details
File: environ (2.58 KB, text/plain)
2017-11-30 00:30 UTC, Rhys
no flags Details
File: mountinfo (3.44 KB, text/plain)
2017-11-30 00:30 UTC, Rhys
no flags Details
File: namespaces (129 bytes, text/plain)
2017-11-30 00:30 UTC, Rhys
no flags Details
File: open_fds (1010 bytes, text/plain)
2017-11-30 00:30 UTC, Rhys
no flags Details

Description Rhys 2017-11-30 00:30:06 UTC
Description of problem:
I was simply logging into the system after a reboot.  However, before reboot, I was trying to launch "To Do", the task manager for Gnome.  That crashed.

Version-Release number of selected component:
ibus-table-1.9.18-1.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /usr/share/ibus-table/engine/main.py --ibus
crash_function: __bus_destroy_cb
exception_type: RuntimeError
executable:     /usr/share/ibus-table/engine/main.py
kernel:         4.13.15-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
main.py:159:__bus_destroy_cb:RuntimeError: reentrant call inside <_io.BufferedWriter name='/home/rhys/.cache/ibus-table/debug.log'>

Traceback (most recent call last):
  File "/usr/share/ibus-table/engine/main.py", line 156, in __bus_destroy_cb
    def __bus_destroy_cb(self, bus=None):
  File "/usr/share/ibus-table/engine/main.py", line 296, in <lambda>
    signal (SIGTERM, lambda signum, stack_frame: cleanup(ima))
  File "/usr/share/ibus-table/engine/main.py", line 174, in cleanup
    ima_ins.quit()
  File "/usr/share/ibus-table/engine/main.py", line 154, in quit
    self.__bus_destroy_cb()
  File "/usr/share/ibus-table/engine/main.py", line 159, in __bus_destroy_cb
    print("finalizing:)")
  File "/usr/share/ibus-table/engine/main.py", line 296, in <lambda>
    signal (SIGTERM, lambda signum, stack_frame: cleanup(ima))
  File "/usr/share/ibus-table/engine/main.py", line 174, in cleanup
    ima_ins.quit()
  File "/usr/share/ibus-table/engine/main.py", line 154, in quit
    self.__bus_destroy_cb()
  File "/usr/share/ibus-table/engine/main.py", line 159, in __bus_destroy_cb
    print("finalizing:)")
RuntimeError: reentrant call inside <_io.BufferedWriter name='/home/rhys/.cache/ibus-table/debug.log'>

Local variables in innermost frame:
bus: None
self: <__main__.IMApp object at 0x7f79d6e8ada0>

Comment 1 Rhys 2017-11-30 00:30:11 UTC
Created attachment 1360623 [details]
File: backtrace

Comment 2 Rhys 2017-11-30 00:30:12 UTC
Created attachment 1360624 [details]
File: cgroup

Comment 3 Rhys 2017-11-30 00:30:13 UTC
Created attachment 1360625 [details]
File: cpuinfo

Comment 4 Rhys 2017-11-30 00:30:14 UTC
Created attachment 1360626 [details]
File: environ

Comment 5 Rhys 2017-11-30 00:30:15 UTC
Created attachment 1360627 [details]
File: mountinfo

Comment 6 Rhys 2017-11-30 00:30:16 UTC
Created attachment 1360628 [details]
File: namespaces

Comment 7 Rhys 2017-11-30 00:30:17 UTC
Created attachment 1360629 [details]
File: open_fds

Comment 8 Pravin Satpute 2018-09-03 09:19:13 UTC
@Rhys can you reproduce this issue on F28?

Let me know, if any steps available to reproduce this.

Comment 9 Parag Nemade 2018-10-09 07:34:32 UTC
*** Bug 1545004 has been marked as a duplicate of this bug. ***

Comment 10 Ben Cotton 2018-11-27 14:07:20 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Ben Cotton 2018-11-30 23:09:03 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.